//
// FlipsideViewController.h
// Weather
//
// Created by Eugene Scherba on 1/11/11.
// Copyright 2011 Boston University. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "RSAddGeo.h"
#include "Config.h"

@protocol FlipsideViewControllerDelegate;

@class WeatherAppDelegate;

@interface FlipsideViewController : UIViewController <RSAddGeoDelegate, UITableViewDelegate, UITableViewDataSource> {
    // ivar is autogenerated when the corresponding @property is specified
    //id <FlipsideViewControllerDelegate> delegate;
    WeatherAppDelegate *appDelegate;
    RSAddGeo *geoAddController;

    // for querying Google Places API
    NSURL *theURL;
    NSURLConnection *apiConnection;
    NSMutableData *responseData;
    NSMutableDictionary *modelDict;
    NSInteger detailRequestStage; // 0 - nothing, 1 - details request, 2 - timezone request
    
    UISwitch *switchView;
    UISegmentedControl *segmentedControl;
    
    NSString *_requestedLocalityId;
    IBOutlet UITableView *_tableView;
}

// don't retain delegates
@property (nonatomic, assign) id <FlipsideViewControllerDelegate> delegate;
@property (nonatomic, retain) NSMutableDictionary *modelDict;

- (IBAction)addCityTouchDown;
- (IBAction)done:(id)sender;

@end

// A delegate of FlipsideViewController must implement the following protocol:
@protocol FlipsideViewControllerDelegate
- (void)insertViewFromIndex:(NSUInteger)fromIndex toIndex:(NSUInteger)toIndex;
- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller;
- (void)addPageWithLocality:(RSLocality*)locality;
- (void)removePage:(NSInteger)index;
- (void)saveSettings;
- (void)locationSwitchSetTo:(BOOL)newState;
- (void)unitsChangedSetToImperial:(BOOL)imperialNotMetric;
- (NSUInteger)permanentLocalityCount;
- (RSLocality*)getPermanentLocalityByRow:(NSUInteger)row;

@property (nonatomic, assign) BOOL useImperial;
@property (nonatomic, assign) BOOL showCurrentLocation;
@property (nonatomic, retain) NSMutableArray *modelArray;

@end

